--Connecting to network
wifi.setmode(wifi.STATION)
wifi.sta.config("nazwa_sieci","haslo_do_sieci") 
wifi.sta.connect()

gpio0 = 3  -- ustawiamy gpio na ktorym mamy ds18b20 na naszej plytce GPIO0
require('ds18b20')
ds18b20.setup(gpio0)
ds18b20.read()

function SendData()

t1=ds18b20.read()
print("Temp:"..t1.." C\n")


--conection to thingspeak.com
print("Sending data to thingspeak.com")
conn=net.createConnection(net.TCP, 0) 
conn:on("receive", function(conn, payload) print(payload) end)
--api.thingspeak.com 184.106.153.149
conn:connect(80,'184.106.153.149') 
conn:send("GET /update?key=THINGSPEAK_WRITE_API_KEY&field1="..t1.." HTTP/1.1\r\n") 
conn:send("Host: api.thingspeak.com\r\n") 
conn:send("Accept: */*\r\n") 
conn:send("User-Agent: Mozilla/4.0 (compatible; esp8266 Lua; Windows NT 5.1)\r\n")
conn:send("\r\n")
conn:on("sent",function(conn)
                      print("Closing connection")
                     conn:close()
                  end)
conn:on("disconnection", function(conn)
          print("Got disconnection...")
  end)
end

-------- Main Loop -----

tmr.alarm(0, 600000, 1, function()
    tmr.alarm(1, 1000, 1, function() 
        if (wifi.sta.getip() == nil) then 
            print("Connecting to Network...")
        else
        tmr.stop(1)
            print("Connected  (ip: ".. wifi.sta.getip() ..")")
            SendData()
    end
    end)

end)
